@import url("https://fonts.googleapis.com/css2?family=Inter:opsz@14..32&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:wght@400;600&display=swap");

:root,
:root[data-theme="dark"] {
  /* Variáveis de cores */
  --primary-color: #00021b; /* Cor primária */
  --secondary-color: #038ceb; /* Cor secundária */
  --background-color: #000000; /* Cor de fundo */
  --text-color: #ffffff; /* Cor do texto */
  --text-color-secondary: #b0b0b0; /* Cor do texto secundário */
  --borda-menu: #000433; /* Cor da borda do menu */
  --pill-bg: #0f172a; /* Fundo dos links */
  --active-bg: #020617; /* Fundo do item ativo */
  --accordion-bg: #0a0a0a; /* Fundo do acordeão */
  --accordion-header-bg: #111; /* Fundo do header do acordeão */

  /* Variáveis de fontes */
  --fonte-principal: "Inter", sans-serif;
  --fonte-secundaria: "Krona One", sans-serif;
}

:root[data-theme="light"] {
  --primary-color: #ffffff; /* Cor primária */
  --secondary-color: #038ceb; /* Cor secundária */
  --background-color: #f0f0f0; /* Cor de fundo */
  --text-color: #000000; /* Cor do texto */
  --text-color-secondary: #4a4a4a; /* Cor do texto secundário */
  --borda-menu: #acdcff; /* Cor da borda do menu */
  --pill-bg: #d2ecff; /* Fundo dos links */
  --active-bg: #ffffff; /* Fundo do item ativo */
  --accordion-bg: #acdcff; /* Fundo do acordeão */
  --accordion-header-bg: #d2ecff; /* Fundo do header do acordeão */
}

html[data-theme="light"] .brand__logo {
  filter: invert(1);
}

html {
  scroll-behavior: smooth;
}

/* Ajuste global para todas as seções */
section[id] {
  scroll-margin-top: 50px;
}

#home {
  scroll-margin-top: 50px;
}

#sobre {
  scroll-margin-top: 150px;
}

/* Seletor universal */
* {
  margin: 0; /* Remove as margens padrão */
  padding: 0; /* Remove os preenchimentos padrão */
  box-sizing: border-box; /* Define o modelo de caixa para incluir bordas e preenchimentos no tamanho total do elemento */
  vertical-align: baseline; /* Alinha os elementos verticalmente ao meio */
  list-style: none; /* Remove os marcadores de lista */
}

body {
  box-sizing: border-box;
  background-color: var(--background-color);
  font-family: var(--fonte-principal);
  color: var(--text-color);
}

a {
  text-decoration: none;
  color: var(--text-color);
}

a:hover {
  color: var(--text-color-secondary);
  font-weight: 700;
}

i {
  color: var(--text-color);
}

h1 {
  font-size: 2.5rem;
  font-weight: 200;
}

h2 {
  font-size: 1.75rem;
  text-align: center;
  margin-bottom: 2rem;
}

h1,
h2,
h3 {
  font-family: var(--fonte-secundaria);
  text-transform: uppercase;
  color: var(--text-color);
  font-weight: 200;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px 30px;
  background-color: var(--primary-color);
  border-radius: 100px;
  margin: 20px;
}

.header__brand .brand__logo {
  width: 3.25rem;
  height: 3.25rem;
}

.header__brand {
  height: 50px;
}

#toggleTheme {
  font-size: 1.3rem;
  color: var(--text-color);
  cursor: pointer;
  transition: ease-in-out 0.4s;
}

.menu {
  display: flex;
  align-items: center;
}

.menu__item {
  width: 100%;
}

.menu--mobile {
  width: 100%;
  position: fixed;
  z-index: 1000;
  bottom: 0;
  justify-content: space-between;
  border-top: 2px solid var(--borda-menu);
  background-color: var(--primary-color);
}

.menu--mobile .menu__link {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0.5rem 1rem;
  gap: 0.5rem;
}

.menu__link.active .menu__icon,
.menu__link.active .menu__text,
.menu__link:hover .menu__icon,
.menu__link:hover .menu__text {
  color: var(--secondary-color);
  font-weight: 600;
}

.menu__icon,
.menu__text {
  color: var(--text-color);
}

.menu__icon {
  font-size: 1.5rem;
}

.menu__text {
  font-size: 0.75rem;
  text-transform: uppercase;
}

.header__nav {
  display: none;
}

.menu--principal {
  gap: 3rem;
}

.menu--social {
  display: flex;
  gap: 3rem;
  justify-content: center;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.625rem;
  width: 100%;
  background-color: transparent;
  border-radius: 3.125rem;
  border: none;
  padding: 0.875rem 1.5rem;
  transition: ease-in-out 0.3s;
  color: var(--text-color);
}

.btn:hover {
  background-color: var(--borda-menu);
  transform: scale(1.05);
  transition: ease-in-out 0.3s;
  cursor: pointer;
}

.btn span,
.btn i {
  font-size: 1.25rem;
  text-transform: uppercase;
}

.btn span {
  font-size: 0.875rem;
  text-transform: uppercase;
}

.btn--primary span {
  color: var(--text-color);
}

.btn--primary {
  border: 2px solid var(--secondary-color);
}

.apresentacao {
  flex-direction: column-reverse;
  padding: 5%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 82px;
}

.apresentacao__conteudo {
  width: 90%;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 40px;
}

.apresentacao__conteudo__titulo {
  font-size: 1.5rem;
  font-family: var(--fonte-secundaria);
  color: var(--text-color);
}

.titulo-destaque {
  color: var(--secondary-color);
}

.apresentacao__conteudo__texto {
  font-size: 1.1rem;
  font-family: var(--fonte-principal);
  color: var(--text-color);
}

.profile__container {
  width: 200px;
  height: 200px;
  position: relative;
  margin: 0 auto;
  overflow: hidden;
}

.profile__image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: opacity 0.4s ease-in-out;
}

/* --- ESTADO MODO DARK --- */
.profile__image--dark {
  opacity: 1;
  z-index: 2;
}

.profile__image--light {
  opacity: 0;
  z-index: 1;
}

/* --- ESTADO MODO LIGHT --- */
[data-theme="light"] .profile__image--dark {
  opacity: 0;
  z-index: 1;
  visibility: hidden;
}

[data-theme="light"] .profile__image--light {
  opacity: 1;
  z-index: 2;
  visibility: visible;
}

.video-border-wrap {
  width: 100%;
  max-width: 600px;
  margin: 0 auto;
  position: relative;
  margin-bottom: 40px;
  margin-top: 20px;
  background: linear-gradient(135deg, #03c5ff 0%, #f7301a 100%);
  padding: 4px;
  border-radius: 25px;
  box-shadow:
    0 10px 30px rgba(0, 210, 255, 0.3),
    0 20px 50px rgba(255, 0, 76, 0.2);
}

.video-container {
  background-color: var(--primary-color);
  border-radius: 20px;
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
  position: relative;
  overflow: hidden;
}

.video-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.skills {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 1.25rem;
  padding: 6.25rem 1rem 2rem 1rem;
  background: var(--pill-bg);
  margin-top: -5.5rem;
}

.skills h2 {
  font-size: 1.25rem;
  text-align: center;
  text-transform: none;
}

.skills__list {
  display: flex;
  flex-wrap: row wrap;
  justify-content: space-between;
  gap: 1.5rem;
}

.skills__item {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 3.8rem;
  height: 3.8rem;
  aspect-ratio: 1/1;
  border: 1px solid var(--secondary-color);
  border-radius: 50rem;
}

.skills__logo {
  height: 3.3rem;
}

main,
.projects {
  padding: 2.5rem 1rem;
}

.projects {
  display: flex;
  flex-direction: column;
}

.projects__card {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding-bottom: 2.5rem;
}

.card__cover {
  width: 100%;
  border-radius: 12px;
  object-fit: cover;
  object-position: center;
}

.card__body {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;
  gap: 1rem;
}

.card__title {
  font-size: 1.25rem;
}

.card__description {
  font-size: 1rem;
  color: var(--text-color);
}

.card__list {
  margin-left: 1rem;
}

.card__list li {
  display: list-item;
  list-style-type: disc;
}

.tecnologies__list {
  display: flex;
  flex-direction: row;
  gap: 0.75rem;
  align-items: center;
  justify-content: center;
}

.tecnologies__list .skills__item {
  width: 3.5rem;
  height: 3.5rem;
}

.card__body .skills__logo {
  height: 3rem;
}

.card__buttons {
  display: flex;
  gap: 1rem;
  align-items: center;
}

/* Container Pai */
.about__content1 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
  flex-direction: column;
  text-align: center;
  flex-direction: column;
  text-align: center;
  padding: 3rem;
}

.about__image {
  max-width: 100%;
  width: 250px;
  height: 250px;
  border-radius: 50%;
  object-fit: cover;
}

.about__text-wrapper {
  display: flex;
  flex-direction: column;
  text-align: left;
  gap: 15px;
}

.about__text-wrapper h2 {
  font-size: 1.75rem;
  text-transform: uppercase;
  margin: 0;
  margin-bottom: 1rem;
}

.description__buttons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  margin-top: 10px;
}

.btn-text-only {
  display: inline-block;
  text-decoration: none;
  color: var(--text-color);
  font-size: 1rem;
  padding: 10px 20px;
  transition: transform 0.3s ease;
  cursor: pointer;
  background-color: transparent;
}

.btn-text-only:hover {
  transform: scale(1.1);
  background-color: var(--borda-menu);
  border-radius: 50px;
  color: var(--text-color);
}

.about__content2 {
  display: grid;
  grid-template-columns: 1fr;
  gap: 3rem;
  padding: 4rem 2rem;
  background-color: var(--background-color);
}

.about__content2 h3 {
  font-size: 1.25rem;
  font-weight: 300;
  text-transform: uppercase;
  margin-bottom: 1.5rem;
  color: var(--text-color);
}

.about__content2 span {
  color: var(--text-color-secondary);
  font-size: 0.85rem;
  display: block;
  margin-bottom: 0.5rem;
}

.about__content2 h4 {
  font-size: 1.1rem;
  font-weight: bold;
  color: var(--text-color);
  margin-bottom: 0.5rem;
}

.about__description {
  text-align: left;
}

.about__icons {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 10px;
}

.about__icons i {
  font-size: 1.2rem;
  display: flex;
  color: var(--text-color);
}

.about__icons span {
  font-size: 0.95rem;
  color: var(--text-color-secondary);
  margin-bottom: 0;
  display: inline-block;
}

.row1 > span {
  display: block;
  margin-bottom: 10px;
  color: var(--text-color-secondary);
  font-size: 0.85rem;
}

.row1 h4 {
  margin-bottom: 0.2rem;
}

.row1 {
  padding-bottom: 4rem;
}

.about__list li {
  margin-left: 1.5rem;
  padding-left: 10px;
  display: list-item;
  list-style-type: disc;
}

#accordion {
  border: none;
  background-color: var(--accordion-bg);
  border-radius: 4px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.accordion__header {
  background: transparent;
  border: none;
  border-bottom: 1px solid #222;
  padding: 1rem 1.5rem;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  transition: background 0.3s;
}

.accordion__item:last-child .accordion__header {
  border-bottom: none;
}

.accordion__item {
  border-bottom: 1px solid #333;
}

.accordion__item:last-child {
  border-bottom: none;
}

.accordion__header span {
  color: var(--text-color);
  font-size: 1.15rem;
  text-align: left;
}

.accordion__item.active .accordion__header {
  background-color: var(--accordion-header-bg);
  border-bottom: 0.01rem solid var(--text-color-secondary);
}

.accordion__body {
  max-height: 0;
  overflow: hidden;
  transition: all 0.4s ease-in-out;
  padding: 0 1.5rem;
  display: flex;
  flex-direction: column;
  opacity: 0;
}

.accordion__item.active .accordion__body {
  max-height: 1000px;
  padding-top: 1rem;
  padding-bottom: 2rem;
  opacity: 1;
}

.accordion__body span:first-of-type {
  font-weight: 700;
  text-transform: uppercase;
  font-size: 0.85rem;
  margin-bottom: 2px;
}

.accordion__body span:nth-of-type(2) {
  font-size: 0.8rem;
  opacity: 0.7;
  margin-bottom: 10px;
}

.accordion__body p {
  line-height: 1.6;
  margin-bottom: 10px;
}

.accordion__body ul {
  padding-left: 1.2rem;
}

.accordion__body li {
  margin-bottom: 8px;
  line-height: 1.5;
  font-size: 0.95rem;
  list-style-type: disc;
}

.accordion__item.active .accordion__body {
  display: flex;
  flex-direction: column;
  color: var(--text-color-secondary);
}

.bi-caret-down-fill {
  transition: transform 0.3s ease;
}

.accordion__item.active .bi-caret-down-fill {
  transform: rotate(180deg);
}

.contact {
  padding: 80px 20px;
  text-align: center;
  background-color: var(--background-color);
  color: var(--text-color);
}

.contact h2 {
  font-size: 1.75rem;
  text-transform: uppercase;
  letter-spacing: 4px;
  font-weight: 300;
  margin-bottom: 2rem;
}

.contact p {
  max-width: 700px;
  margin: 0 auto 2rem auto;
  color: var(--text-color-secondary);
  line-height: 1.6;
}

.menu--contato {
  list-style: none;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  margin-bottom: 3rem;
  width: 100%;
  flex-wrap: nowrap;
}

.menu--contato li {
  display: flex;
  justify-content: center;
  width: 100px;
}

.menu--contato a {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  color: var(--text-color);
  font-size: 0.85rem;
  padding: 8px 10px;
  border-radius: 50px;
  transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
  text-decoration: none;
  white-space: nowrap;
}

.menu--contato a:hover {
  background-color: var(--borda-menu);
  color: var(--text-color);
  transform: scale(1.05);
}

.menu--mobile .menu__link {
  padding: 0.5rem 5px;
  flex: 1;
}

.contact__email {
  display: inline-block;
  padding: 15px 40px;
  border: 1px solid var(--text-color-secondary);
  border-radius: 50px;
  color: var(--text-color);
  text-decoration: none;
  font-size: 1.1rem;
  transition: all 0.3s ease;
}

.contact__email:hover {
  border-color: var(--text-color);
  color: var(--text-color);
  background-color: var(--borda-menu);
}

footer p {
  font-size: 0.875rem;
  text-align: center;
  padding: 1rem;
  margin-top: 1rem;
  margin-bottom: 5rem;
}

/* Estilos para telas menores (Mobile) */
@media (max-width: 480px) {
  .description__buttons {
    flex-direction: row;
    gap: 15px;
    width: 100%;
  }

  .btn--primary {
    padding: 10px 15px;
  }

  .btn--primary span {
    font-size: 0.85rem;
  }

  .btn--primary i {
    font-size: 0.9rem;
  }
}

/* Ajuste global para todas as seções no Mobile */
@media (max-width: 768px) {
  section,
  #home,
  #projetos,
  #sobre,
  #contato {
    scroll-margin-top: 0px;
  }
}

/* Estilos para telas maiores (Desktop) */
@media (min-width: 768px) {
  .nav--mobile {
    display: none;
  }

  .header {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
  }

  .header__nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--borda-menu);
    padding: 10px 20px;
    border-radius: 50px;
    margin: 10px;
  }

  h2 {
    font-size: 2.25rem;
    letter-spacing: 0.4rem;
  }

  .about__text-wrapper h2 {
    font-size: 2.25rem;
    letter-spacing: 0.4rem;
  }

  .contact h2 {
    font-size: 2.25rem;
    letter-spacing: 0.4rem;
  }

  .menu--principal {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
    gap: 10px;
  }

  .menu--social {
    gap: 1rem;
  }

  .menu__link {
    color: var(--text-color);
    padding: 10px 25px;
    display: flex;
    align-items: center;
    font-family: var(--fonte-principal);
    font-size: 16px;
    transition: 0.3s;
    border-radius: 40px;
  }

  .menu__link.active,
  .menu__link:hover {
    background-color: var(--active-bg);
    color: var(--text-color);
  }

  .menu__link.active .menu__text,
  .menu__link:hover .menu__text {
    color: var(--text-color);
    font-weight: 700;
  }

  #toggleTheme {
    background-color: var(--text-color);
    color: var(--background-color);
    width: 40px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
    cursor: pointer;
    font-size: 1.1rem;
  }

  .apresentacao {
    flex-direction: row;
    padding: 5%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 82px;
    scroll-margin-top: 120px;
  }

  .apresentacao__conteudo__titulo {
    font-size: 2.5rem;
  }

  .apresentacao__conteudo__texto {
    font-size: 1.25rem;
  }

  .profile__container {
    width: 900px;
    height: 600px;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
  }

  .profile__image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0.4s ease-in-out;
  }
  .video-border-wrap {
    max-width: 700px;
  }

  .skills h2 {
    padding-top: 3rem;
    padding-bottom: 1rem;
    font-size: 1.7rem;
  }

  .skills__list {
    gap: 3.5rem;
  }

  .skills__item {
    width: 4.8rem;
    height: 4.8rem;
  }

  .skills__logo {
    height: 4.3rem;
  }

  .projects__card {
    flex-direction: row;
  }

  .card__title {
    font-size: 1.65rem;
  }

  .projects {
    padding: 5.5rem 5rem;
  }

  .projects__card.card--reverse {
    flex-direction: row-reverse;
    justify-content: space-between;
  }

  .card__cover {
    width: 55%;
  }

  .btn--projects {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
  }

  .about__content2 h3 {
    font-size: 2.5rem;
    margin-bottom: 1.5rem;
  }

  .btn--projects span {
    font-size: 1.25rem;
  }

  .about__content1 {
    flex-direction: row;
    text-align: left;
    padding: 0rem 5rem 5rem;
  }

  .about__image {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    object-fit: cover;
    flex-shrink: 0;
  }

  .description__buttons {
    justify-content: flex-start;
  }

  .about__content2 {
    grid-template-columns: 1fr 1fr;
    align-items: start;
    padding: 0rem 5rem 5rem;
  }

  .menu--contato {
    gap: 5rem;
  }

  .menu--contato li {
    width: 120px;
  }

  .menu--contato a {
    font-size: 1rem;
    padding: 10px 20px;
  }
}

@media (max-width: 1000px) and (min-width: 768px) {
  #home {
    scroll-margin-top: 100px;
  }

  .apresentacao__conteudo__titulo {
    font-size: 1.7rem;
  }

  .apresentacao__conteudo__texto {
    font-size: 1.3rem;
  }

  .profile__container {
    width: 600px;
    height: 400px;
  }

  .about__content1 {
    padding: 0rem 2rem 5rem;
  }

  .about__content2 {
    padding: 0rem 2rem 5rem;
  }
}

@media (min-width: 1200px) {
  .apresentacao .btn {
    width: auto;
  }

  h2 {
    font-size: 3rem;
    padding-bottom: 1rem;
  }

  .about__text-wrapper h2 {
    font-size: 3rem;
    padding-bottom: 1rem;
  }

  .contact h2 {
    font-size: 3rem;
    padding-bottom: 1rem;
  }

  .projects {
    padding: 5.5rem 10rem;
  }

  .projects__card {
    flex-direction: row;
    padding-bottom: 3rem;
  }

  .card__cover {
    width: 50%;
  }

  .card__title {
    font-size: 2rem;
  }

  .card__description,
  .card__item {
    font-size: 1.25rem;
  }

  .tecnologies__list {
    display: flex;
    flex-direction: row;
    gap: 1.5rem;
    align-items: center;
    justify-content: flex-start;
  }

  .card__buttons .btn {
    width: auto;
  }

  .about__text-wrapper p {
    font-size: 1.25rem;
  }

  .about__content1 {
    padding: 0rem 10rem 5rem;
  }

  .about__content2 {
    padding: 0rem 10rem 5rem;
  }
}
